# Uses of Class
java.util.concurrent.StructuredTaskScope.ShutdownOnSuccess

Packages that use StructuredTaskScope.ShutdownOnSuccessPREVIEW
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of StructuredTaskScope.ShutdownOnSuccessPREVIEW in java.util.concurrent

Methods in java.util.concurrent that return StructuredTaskScope.ShutdownOnSuccessPREVIEW
Modifier and Type
Method
Description
`StructuredTaskScope.ShutdownOnSuccessPREVIEW<T>`
StructuredTaskScope.ShutdownOnSuccess.`join()`
Wait for a subtask started in this task scope to complete successfullyPREVIEW or all subtasks to complete.
`StructuredTaskScope.ShutdownOnSuccessPREVIEW<T>`
StructuredTaskScope.ShutdownOnSuccess.`joinUntil(Instant deadline)`
Wait for a subtask started in this task scope to complete successfullyPREVIEW or all subtasks to complete, up to the given deadline.